Bug 250957 - keyboard shortcut conflicts when using several keyboard layouts
keyboard shortcut conflicts when using several keyboard layouts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-06 00:13 EDT by Miao ZhiCheng
Modified: 2008-06-16 22:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:06:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miao ZhiCheng 2007-08-06 00:13:11 EDT
Description of problem:
In gnome, when I use both U.S.Engish and French Alternative keyboard layout by
configuring in gnome-keyboard-properties. Some application will conflicts on
some keyboard shortcuts, such as typing Control-a in xchat will exit xchat,
typing control-a in logjam will exit  logjam, etc.

Version-Release number of selected component (if applicable):
gtk2-2.10.14-3.fc7

How reproducible:
Reproducible everytimes.

Steps to Reproduce:
Adding both U.S.Engish and French Alternative keyboard layout in
gnome-keyboard-properties.
Open xchat, type control-a in input box, then xchat quits


Actual results:
Control-a(US keyboard) maps to shortcut control-q

Expected results:
No conflicts.

Additional info:
Other bug report,
https://bugs.launchpad.net/ubuntu/+source/gtk+2.0/+bug/23244
https://bugs.launchpad.net/ubuntu/+source/control-center/+bug/51871

quote from above :


 didier said on 2006-08-13: (permalink)

Same here on Edgy with french/english keyboards, in gedit:
CTRL Q is using CTRL A action (french keyboard layout is azerty, qsdf...).

in gtk/gtkkeyhash.c
_gtk_key_hash_lookup() returns both exact matches and matches with a different
keyboard group (it seems to be a feature).

As gedit TextView window doesn't have a binding for CTRL+Q it catches the 'q ->
a' entry from group 1, cf gedit/gedit-window.c:gedit_window_key_press_event(),
and uses CTRL A binding.

#if 0 the partial match in _gtk_key_hash_lookup() or #if 0 the
gedit_window_key_press_event() fix it.

I don't understand the rational behind the partial match logic for keybinding,
IMO it's confusing.
Comment 1 Bug Zapper 2008-05-14 09:53:18 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:06:32 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.